stages:
  - build
  - package
  - publish

build:docs:
  image:
    name: knsit/docfx
    entrypoint: [""]
  stage: build
  script:
    - cd docs
    - docfx build
  artifacts:
    name: docs
    paths:
      - docs/_site

package:
  stage: package
  script:
    - cp README.md com.arsenstudio.cfs/README.md
    - cp LICENSE.md com.arsenstudio.cfs/LICENSE.md
    - cp docs/manual/*.md com.arsenstudio.cfs/Documentation~
    - rm com.arsenstudio.cfs/Documentation~/.gitignore
  artifacts:
    name: package
    paths:
      - com.arsenstudio.cfs
    expire_in: 1 week

publish:
  image: node:12-alpine
  stage: publish
  variables:
    GIT_STRATEGY: none
  before_script:
    - npm install -g npm-cli-login
  script:
    - cd com.arsenstudio.cfs
    - npm config set registry https://upm.internal.intelide.fr
    - npm-cli-login -r https://upm.internal.intelide.fr
    - npm publish
